#
# spec file for package cdparanoia (Version IIIalpha9.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         cdparanoia
Provides:     cdparano
Obsoletes:    cdparano
Copyright:    GPL
Group:        Applications/Sound
Provides:     cdparanoia 
Autoreqprov:  on
Version:      IIIalpha9.8
Release:      82
Summary:      CD-audio grabber for problematic drives
URL:          http://www.xiph.org/paranoia/index.html
%define	      filever					 III-alpha9.8
Source: http://www.xiph.org/paranoia/download/cdparanoia-%{filever}.src.tgz
Patch: cdparanoia-III-alpha9.7.dif
BuildRoot:    /var/tmp/%{name}-build

%description
This CDDA reader distribution ('cdparanoia') reads audio from the
CDROM directly as data, with no analog step between, and writes the
data to a file or pipe as .wav, .aifc or as raw 16 bit linear PCM.
Beta release, see:
http://www.xiph.org/paranoia/

Authors:
--------
    Monty <xiphmont@mit.edu>

SuSE series: ap

%prep
%setup -n cdparanoia-%{filever}
%patch

%build
cp configure.guess config.guess
cp configure.sub config.sub
%{?suse_update_config:%{suse_update_config -f}}
cp config.guess configure.guess
cp config.sub configure.sub
autoconf 
CFLAGS=$RPM_OPT_FLAGS				\
	./configure				\
		--prefix=/usr			\
		--mandir=%{_mandir}		\
		--host=%{_target_platform}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_mandir}/man1,usr/{bin,include,lib}}
make prefix=$RPM_BUILD_ROOT/usr \
     MANDIR=$RPM_BUILD_ROOT/%{_mandir} install
JAPN_MANDIR=$RPM_BUILD_ROOT/%{_mandir}/ja/man1
mkdir	-p					$JAPN_MANDIR
install -m644 -o root -g root cdparanoia.1.jp	$JAPN_MANDIR/cdparanoia.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README FAQ.txt
%{_mandir}/man1/*
%{_mandir}/ja/man1/*
/usr/bin/*
/usr/include/*
/usr/lib/lib*.so*
#/usr/lib/libcdda_paranoia.a
#/usr/lib/libcdda_interface.a

%changelog -n cdparanoia
* Wed Jun 13 2001 - schwab@suse.de
- Fix stupid file names.
* Tue Apr 03 2001 - bk@suse.de
- update to III-alpha9.8
- remove of static libs from filelist(shared libs are used by e.g. kde)
* Thu Nov 09 2000 - nadvornik@suse.cz
- renamed cdparano -> cdparanoia
* Wed Apr 26 2000 - nadvornik@suse.cz
- changed Group
* Mon Apr 10 2000 - nadvornik@suse.cz
- added BuildRoot
- added URL
* Tue Feb 29 2000 - uli@suse.de
- fixed filelist (this time for real)
- now builds with "-O2" instead of "-O20"
* Tue Feb 29 2000 - ro@suse.de
- fixed filelist
* Mon Jan 17 2000 - ro@suse.de
- update to III-alpha9.7
- man to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - ro@suse.de
- update to III-alpha9.6
* Fri Jul 09 1999 - ro@suse.de
- update to alpha9.5
* Tue Sep 22 1998 - ro@suse.de
- update to alpha8 / define _GNU_SOURCE for compiling
* Tue Aug 04 1998 - ro@suse.de
- update to alpha7
* Fri Apr 24 1998 - ro@suse.de
- build initial package version 03alpha6
